| Cantera 3.0.0

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
Solution.h File Reference
`#include "cantera/base/ctexceptions.h"`
`#include "cantera/base/AnyMap.h"`
Include dependency graph for Solution.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Solution
| A container class for chemically-reacting solutions. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
shared_ptr< Solution > | newSolution (const string &infile, const string &name, const string &transport, const vector< string > &adjacent)
| Create and initialize a new Solution from an input file.
shared_ptr< Solution > | newSolution (const string &infile, const string &name="", const string &transport="", const vector< shared_ptr< Solution > > &adjacent={})
| Create and initialize a new Solution manager from an input file.
shared_ptr< Solution > | newSolution (const AnyMap &phaseNode, const AnyMap &rootNode=AnyMap(), const string &transport="", const vector< shared_ptr< Solution > > &adjacent={}, const map< string, shared_ptr< Solution > > &related={})
| Create and initialize a new Solution manager from AnyMap objects.